emacsの謎のエラー

こんにちはtatsyです。

実は私は隠れ(?)emacsユーザでして、gitのUnix上でプログラミングをするときはemacsを使って作業を行っているのですが、本日なぞのエラーに悩まされましたのでそれについて簡単に書きたいと思います。

そのエラーはc++のプログラムを書くときには起こらないのですが、なぜかgitのコミットコメントを編集するときだけでるという謎の挙動を見せておりました。それが、

というメッセージです。Webで調べてみるとどうやらauto-complete関係のエラーっぽい。でも、多くの人はemacs 23.1使ってるとでるけどそれより新しいのなら問題ないよとおっしゃっている。しかし、僕が使っているemacsのバージョンは23.3.1だぞ??

謎が謎を呼ぶ訳ですが、ある掲示板によると、次のコードを.emacsファイルに加えるとエラーがとりあえず解消するみたいです。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください